Subject: Lead from Live Chat - Rentacardoha.com
From: ALEX ZHANG <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Tue, 26 Jul 2022 09:23:10 -0400

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | ALEX ZHANG
E-mail | [email-masked]
Phone Number | (+8613501863241)
Lead About | Rental - Without driver
Date of Rental | 07-27-2022
Length of Rental | 2 MONTHS

Details of requirement

I want to rent a car. I have an international driver's license

REGULAR CAR

The rental time is expected to be two months

For tomorrow. I'll drive it myself

my whatapp
+8613501863241

Date | 07-26-2022

| |